package com.sample;

import org.kie.api.KieServices;
import org.kie.api.event.rule.DebugAgendaEventListener;
import org.kie.api.event.rule.DebugRuleRuntimeEventListener;
//import org.kie.api.event.rule.DebugWorkingMemoryEventListener;
import org.kie.api.runtime.KieContainer;
import org.kie.api.runtime.KieSession;

/**
 * This is a sample class to launch a rule.
 */
public class DroolsTest {

    public static final void main(String[] args) {
        try {
            // load up the knowledge base
	        KieServices ks = KieServices.Factory.get();
    	    KieContainer kContainer = ks.getKieClasspathContainer();
        	KieSession kSession = kContainer.newKieSession("ksession-rules");

//    		kSession.addEventListener( new DebugAgendaEventListener() );
//    		kSession.addEventListener( new DebugRuleRuntimeEventListener() );
    		
            // go !
        	for (int i=0; i<5; i++) {
        		System.out.println("++++++++++++++++ add new fact");
        		Message message = new Message();
        		kSession.insert(message);
        		System.out.println("++++++++++++++++ fireAllRules");
        		kSession.fireAllRules();
        		Thread.sleep(1000);
        	}
        } catch (Throwable t) {
            t.printStackTrace();
        }
    }

    public static class Message {

    }

}
